@charset "utf-8";
/* CSS Document */

body{
	padding:0px;
	margin:0px;	
	font-family:"Century Gothic";
	font-weight:bold;
	font-size:0.9em;
	display:block;
}

#main_container{
	width:800px;
	margin: 0 auto;
}

#header{
	height:150px;
	width:100%;	
}

#header_content{
	height:150px;
	width:800px;
	background:url(../images/hubnetup_bg_top.png) no-repeat;
	background-size: cover;
}

#footer{
	height:100px;
	width:100%;	
	clear:both;
}

#footer_content{
	height:100px;
	line-height:100px;
	width:100%;
	background-color:#008AfE;
	color:#FFFFFF;
	text-align:center;	
}

#menu{
	height:30px;
	line-height:30px;
	width:100%;
}

#content{
	width:100%;
	clear:both;
}

.content-login{
	background-color: #f6f6f6;
}

#log_form {
	margin-left: 25px;
}

#loggin_area{
	position:relative;
	top:150px;
	width:325px;
	height:auto;
	margin-left:auto;
	margin-right:auto;
	background:url(../images/hubnetup_loggin_bg.png) no-repeat;
	background-size: cover;
	padding-bottom: 25px;
}

#loggin_area .form_element input {
	height: 18px;
}

.sub_zone_title{
	height:40px;
	line-height:40px;
	color:#FFFFFF;
	width:100%;
	position:relative;
	left:-10px;
	top:3px;
}

.s5{
	width:100%;
	height:5px;
	font-size:0px;
	clear:both;
}

.s10{
	width:100%;
	height:10px;
	font-size:0px;
	clear:both;
}

.s10_spe{
	width:100%;
	height:10px;
	font-size:11px;
	margin:10px;
	clear:both;
}

.form_title{
	width:25%;
	text-align:right;
	float:left;
	height:25px;
}

.form_element{
	width:70%;
	text-align:center;
	float:left;
	height:auto;
}

.form_element_special{
	width:100%;
	text-align:center;
	height:25px;
}

.form_button{
	width:100%;
	height:30px;
	line-height:30px;
	text-align:center;
}

.form_button input {
	margin-right: 23px;
}

#welcome_zone{
	width:79%;
	float:left;
	font-weight: bold;
}

#logout_zone{
	width:20%;
	float:left;
	text-align:right;
	font-weight: bold;
}

#upload_zone{
	position:relative;
	top:50px;
	float:left;
	height:250px;
	width:49%;
}

#upload_zone_inner{
	width:300px;
	height:250px;
	margin-left:auto;
	margin-right:auto;
	background:url(../images/hubnetup_loggin_bg.png) no-repeat;
}

#archive_zone{
	position:relative;
	top:50px;
	float:left;
	min-height:250px;
	_height:250px;
	width:49%;
}

#archive_zone_inner{
	width:auto;
	min-height:250px;
	padding:10px;
	_width:300px;
	_height:250px;
}

#loader_div{
	display:none;
	width:300px;
	height:32px;
	text-align:center;
	position:absolute;
	top:100px;
}

#alert{
	display:none;
	width:100%;
	text-align:center;
}

.alert_elem_green{
	width:100%;	
	text-align:center;
	height:40px;
	line-height:40px;
	clear:both;
	background-color:#119F4B;
}

.alert_elem_red{
	width:100%;	
	text-align:center;
	height:40px;
	line-height:40px;
	clear:both;
	background-color:#E11931;
}

.archive_elem{
	width:100%;
	height:30px;
	display:none;
}

.archive_elem_vis{
	width:100%;
	height:30px;
}

#archive_zone_inner{
	width:auto;
	min-height:250px;
	margin-left:auto;
	margin-right:auto;
	background-color:#FFFFFF;
	padding:10px;
	_width:300px;
	_height:250px;
}

.archive_elem #archive_elem_ref{
	width:68%;
	float:left;
	text-align:center;
	height:25px;
	line-height:25px;
}

.archive_elem #archive_elem_date{
	width:30%;
	height:25px;
	line-height:25px;
	float:left;
	text-align:center;
}

.archive_elem_vis #archive_elem_ref{
	width:68%;
	float:left;
	text-align:center;
	height:25px;
	line-height:25px;
}

.archive_elem_vis #archive_elem_date{
	width:30%;
	height:25px;
	line-height:25px;
	float:left;
	text-align:center;
}

.archive_elem a{
	color:#000000;
}

.archive_elem_vis a{
	color:#000000;
}

.list_elem{
	width:400px;
	margin-left:15px;
	height:30px;
}

.list_elem #list_elem_ref{
	width:200px;
	float:left;
	height:30px;
	line-height:30px;
}

.list_elem #list_elem_date{
	width:200px;
	float:left;
	height:30px;
	line-height:30px;
}

.now_loading{
	position:relative;
	top:200px;
	margin-left:auto;
	margin-right:auto;
	width:200px;
	height:100px;
	text-align:center;
	font-size:18px;
}

/* vietnx */
.loading-overlay {
  position: fixed;
  top: 0; left: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(255,255,255,0.85);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 9999;
}

/* Hộp loading */
.loading-box {
  background: white;
  padding: 80px 120px;
  border-radius: 12px;
  text-align: center;
  box-shadow: 0 0 12px rgba(0,0,0,0.1);
}

/* Text tiếng Nhật */
.loading-text {
  color: #333;
  font-family: "Hiragino Kaku Gothic Pro", "Meiryo", sans-serif;
  margin-top: 20px;
}

.bar-spinner-login {
	position: relative;
	width: 80px;
	height: 80px;
	margin: auto;
}

.bar-spinner {
  position: relative;
  width: 80px;
  height: 80px;
  margin: auto;
}

.bar {
  position: absolute;
  width: 8px;
  height: 16px;
  background: #666;
  border-radius: 5px;
  top: 8px;
  left: 35px;
  transform-origin: center 32px;
  animation: fade 1.2s linear infinite;
  opacity: 0.25;
}

.bar-spinner-login .bar {
	background: white!important;
}

.font-normal {
  font-weight: normal;
}

@keyframes fade {
  0% { opacity: 1; }
  100% { opacity: 0.25; }
}

/* 12 thanh xếp quanh vòng */
.bar:nth-child(1)  { transform: rotate(0deg);   animation-delay: 0s; }
.bar:nth-child(2)  { transform: rotate(30deg);  animation-delay: -1.1s; }
.bar:nth-child(3)  { transform: rotate(60deg);  animation-delay: -1.0s; }
.bar:nth-child(4)  { transform: rotate(90deg);  animation-delay: -0.9s; }
.bar:nth-child(5)  { transform: rotate(120deg); animation-delay: -0.8s; }
.bar:nth-child(6)  { transform: rotate(150deg); animation-delay: -0.7s; }
.bar:nth-child(7)  { transform: rotate(180deg); animation-delay: -0.6s; }
.bar:nth-child(8)  { transform: rotate(210deg); animation-delay: -0.5s; }
.bar:nth-child(9)  { transform: rotate(240deg); animation-delay: -0.4s; }
.bar:nth-child(10) { transform: rotate(270deg); animation-delay: -0.3s; }
.bar:nth-child(11) { transform: rotate(300deg); animation-delay: -0.2s; }
.bar:nth-child(12) { transform: rotate(330deg); animation-delay: -0.1s; }

/* upload box */
.upload-box {
	border: 2px dashed #ccc;
	border-radius: 8px;
	padding: 15px 60px;
	text-align: center;
	color: #666;
	background-color: #f9f9f9;
	transition: border-color 0.3s, background-color 0.3s;
	font-size: 11px;
	width: 350px;
}

.cloud-icon {
	width: 40px;
	height: 40px;
	opacity: 0.2;
	margin-bottom: 10px;
}

.cancel-icon {
	filter: invert(17%) sepia(96%) saturate(7481%) hue-rotate(356deg) brightness(96%) contrast(117%);
	width: 40px;
	height: 40px;
	margin-bottom: 10px;
}

.zone {
	border: 1px solid #ccc;
	border-radius: 20px;
	padding: 10 20px;
}

.upload-box.dragover {
	background-color: #dceeff;
	border-color: #2196f3;
	color: #2196f3;
}

.file-selected {
	background-color: #2196f3;
	color: white;
	padding: 8px 12px;
	border-radius: 5px;
	display: flex;
	align-items: center;
	justify-content: center;
	margin-bottom: 10px;
	min-width: 350px;
}

.remove {
	
	cursor: pointer;
	font-weight: bold;
}

.file-uploaded {
	width: 225px;
	height: 40px;
	padding: 8px 0;
}

.pd-0 {
	padding: 0 !important;
}

.search {
	width: 50%;
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.search button {
	background-color: #2196f3!important;
	border-color: #2196f3!important;
	width: 70px
}

.action-buttons {
	display: flex;
	gap: 10px;
	margin-top: 10px;
}

.note {
	color: red;
	font-size: 12px;
	margin-top: 5px;
}

.note-upload {
	margin-top: -5px;
	margin-bottom: 10px;
}

.logout-link a {
	text-decoration: none;
	color: #007bff;
	font-weight: bold;
}

.pagination .page-link {
	color: #007bff;
}

table {
	text-align: center;
}

table input {
	margin-top: 6px;
}

table td {
	padding: 4px 0 !important;
}

#loadingOverlay,#loadingOverlayUpload {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.5);
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	z-index: 9999;
	color: white;
	font-size: 1.2em;
}

.loader-spinner {
	border: 8px solid #f3f3f3;
	border-top: 8px solid #3498db;
	border-radius: 50%;
	width: 60px;
	height: 60px;
	animation: spin 1s linear infinite;
	margin-bottom: 15px;
}

@keyframes spin {
	0% { transform: rotate(0deg); }
	100% { transform: rotate(360deg); }
}

.btn:hover {
	background-color: #2196f3!important;
	border-color: #2196f3!important;
}

.arrow-icon {
	margin-top: 10px;
	cursor: pointer;
	display: inline-block;
	width: 10px;
	height: 10px;
	border-right: 2px solid #333;
	border-bottom: 2px solid #333;
	transform: rotate(45deg);
	transition: transform 0.2s;
	margin-left: 10px;
}

.arrow-icon {
	transition: transform 0.3s ease;
}

.arrow-icon.rotated {
	transform: rotate(225deg);
}

.upload-box-div {
	display: flex;
	justify-content: space-between;
}

.swal2-title {
	font-size: 20px!important;
}

div:where(.swal2-question), div:where(.swal2-icon).swal2-error{
	width: 45px!important;
	height: 45px!important;
}

div:where(.swal2-icon) .swal2-icon-content {
	font-size: 38px!important;
}

div:where(.swal2-icon).swal2-error [class^=swal2-x-mark-line][class$=right] {
	top: 20px!important;
	left: 7px!important;
	height: 5px!important;
	width: 31px!important;
}

div:where(.swal2-icon).swal2-error [class^=swal2-x-mark-line][class$=left]{
	top: 20px!important;
	left: 8px!important;
	height: 5px!important;
	width: 31px!important;
}

#content .form-control::placeholder {
	opacity: 0.5;
	font-size: 13px;
}

#closeIframe {
	margin-bottom: 10px;
}

#content button {
	font-size: 14px!important;
}

.active>.page-link, .page-link.active,#download-file,#replace-file,#uploadImageToHubnet  {
	background-color: #2196f3!important;
	border-color: #2196f3!important;
}

.table-bordered th {
	font-size: 14px;
}

.page-link {
	font-size: 12px!important;
}

.pagination-info {
	font-size: 14px;
}

#fileName {
	font-size: 13px;
}

body.swal2-shown:not(.swal2-no-backdrop,.swal2-toast-shown) {
	overflow: unset!important;
}

::-webkit-scrollbar {
	width: 0;
}

.error-message {
	text-align: start;
	color: #ff0000bd;
	font-size: 12px;
	margin-top: 4px;
	height: 15px;
	margin-left: 17px;
}

div:where(.swal2-container).swal2-center>.swal2-popup {
	padding-bottom: 35px;
}

input[type="password"] {
	-webkit-text-security: disc;
}

input[type="password"]::-ms-reveal,
input[type="password"]::-ms-clear {
	display: none;
}

.box-password {
	position: relative;
}

.toggle-password {
	position: absolute;
	right: 20px;
	top: 6px;
	font-size: 12px;
}

.fa-regular {
	cursor: pointer;
}

.ui-dialog-titlebar{
	position: relative;
	padding: 5px 10px;
}

#closeIframe{
	position: absolute;
	right: 13px;
	top: 8px;
}